@import url('https://fonts.googleapis.com/css2?family=Fira+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

:root {
    /* upaep-gradient */
    --upaep-gradient-dark: rgba(0,0,0, 0.4);
    --upaep-gradient-white: rgba(255,255,255,0.5);
    /* upaep shadow */
    --upaep-box-shadow: 1px 2px 8px rgb(60 60 60 / 40%);
    --upaep-drop-shadow: drop-shadow(0 2px 2px rgba(0, 0, 0, 0.7));
    /* upaep colors */
    --upaep-color-red: #E30921;
    --upaep-color-grey: #909496;
    --upaep-color-light-grey: #B5BABD;
    --upaep-color-dark-grey: #52565A;
    --upaep-color-blue-primary: #1D335B;
    --upaep-color-yellow-primary: #FECB15;
    --upaep-color-gold: #cda434;
    --upaep-color-background: #f5f5f5;
    --upaep-color-tenue-gray: #EEEEEE;
    --upaep-color-ingenierias: #003E92;
    --upaep-color-economico-administrativas: #930d19;
    --upaep-color-artes-humanidades: #F36A10;
    --upaep-color-ciencias-sociales: #511F7F;
    --upaep-color-ciencias-biologicas: #00A894;
    --upaep-color-ciencias-salud: #0079c7;
    --upaep-color-lenguas-cultura: #FFA800;
    --upaep-color-error: #DC3545;
    --upaep-color-success: #28A745;
    --upaep-color-warning: #FFC107;
    --upaep-color-white: #FFFFFF;
    --upaep-color-black: #000000;
    /* upaep font family */
    --upaep-ff-fira-sans: 'Fira Sans', sans-serif;
    --upaep-ff-merriweather: 'Merriweather', serif;
    --upaep-ff-roboto: 'Roboto', sans-serif;
    /* upaep font size */
    --upaep-fz2: .125rem;
    --upaep-fz4: .25rem;
    --upaep-fz6: .375rem;
    --upaep-fz8: .5rem;
    --upaep-fz10: .625rem;
    --upaep-fz12: .75rem;
    --upaep-fz14: .875rem;
    --upaep-fz16: 1rem;
    --upaep-fz18: 1.125rem;
    --upaep-fz20: 1.25rem;
    --upaep-fz22: 1.375rem;
    --upaep-fz24: 1.5rem;
    --upaep-fz26: 1.625rem;
    --upaep-fz28: 1.75rem;
    --upaep-fz30: 1.875rem;
    --upaep-fz32: 2rem;
    --upaep-fz36: 2.25rem;
    --upaep-fz40: 2.5rem;
    --upaep-fz44: 2.75rem;
    --upaep-fz48: 3rem;
    /* otros */
    --colorblue: #1f335c;
    --colordark: #212529;
    --colordark2: #333;
    --colordark3: #52565a;
    --colorred: #e10023;
    --colorred2: #ab0909;
    --colorgreen1: #067703;
    --colorgreen2: #3ae38b;
    --colorgreen3: #B9EFD3;
    --colorpink: #F2CED4;
    --colorgrey1: #8f9496;
    --colorgrey2: #cfcfcf;
    --colorgrey3: #eeeeee;
    --colorgrey4: #E2E2E2;
    --coloryellow: #ffcc00;
    --gradient: linear-gradient(0deg, #e4406f 0%, #ca2374 50%, #9c297f 100%);
    --gradient1: linear-gradient(90deg, rgba(131,58,180,1) 0%, rgba(255,14,144,1) 23%, rgba(253,29,29,1) 49%, rgba(232,22,58,1) 75%, rgba(219,7,7,1) 100%);
    --gradient2: linear-gradient(135deg, #e8a038 0, #ee9637 8.33%, #f38a38 16.67%, #f77c3a 25%, #f96d3d 33.33%, #fa5b41 41.67%, #f94646 50%, #f72b4c 58.33%, #f40055 66.67%, #ef005f 75%, #ea006a 83.33%, #e20077 91.67%, #d90085 100%);
    --gradient3: linear-gradient(135deg, #b962e9 0, #cc58db 5%, #dc4ecc 10%, #e844bc 15%, #f23bab 20%, #f9349a 25%, #fd3189 30%, #ff3178 35%, #ff3667 40%, #fd3d56 45%, #f94646 50%, #f34f36 55%, #eb5924 60%, #e2620d 65%, #d86b00 70%, #cc7300 75%, #bf7a00 80%, #b18100 85%, #a38700 90%, #938d00 95%, #839100 100%);
}

*::-webkit-scrollbar{
    width: 10px;
    border-radius: 50px;
    margin: 0 0 0 5px;
}
*::-webkit-scrollbar-track{
    background: var(--upaep-gradient-white);
    border-radius: 50px;
}
*::-webkit-scrollbar-thumb{
    background: var(--upaep-color-red);
    border-radius: 50px;
}
*::-moz-scrollbar{
    width: 10px;
    border-radius: 50px;
    margin: 0 0 0 5px;
}
*::-moz-scrollbar-track{
    background: var(--upaep-gradient-white);
    border-radius: 50px;
}
*::-moz-scrollbar-thumb{
    background: var(--upaep-color-red);
    border-radius: 50px;
}
*{
    scrollbar-color: var(--upaep-color-red) var(--upaep-gradient-white);
    scrollbar-width: thin;
    scrollbar-base-color: var(--upaep-gradient-white);
    font-family: var(--upaep-ff-fira-sans);
}

/* .offcanvasMenu.show{
    animation: zoomIn 1s;
    transition: none;
} */

.swiper{
    width: 100%;
    height: 100%;
}
.swiper-slide{
    display: flex;
    justify-content: center;
}
.swiper-button-prev.__caret::after{
    content: "\f0d9" !important;
    font-family: "FontAwesome" !important;
}
.swiper-button-next.__caret::after{
    content: "\f0da" !important;
    font-family: "FontAwesome" !important;
}
.swiper-button-prev.__caret-square::after{
    content: "\f191" !important;
    font-family: "FontAwesome" !important;
}
.swiper-button-next.__caret-square::after{
    content: "\f152" !important;
    font-family: "FontAwesome" !important;
}
.swiper-button-prev.__angles::after{
    content: "\f100" !important;
    font-family: "FontAwesome" !important;
}
.swiper-button-next.__angles::after{
    content: "\f101" !important;
    font-family: "FontAwesome" !important;
}
.swiper-button-prev.__chevron::after{
    content: "\f053" !important;
    font-family: "FontAwesome" !important;
}
.swiper-button-next.__chevron::after{
    content: "\f054" !important;
    font-family: "FontAwesome" !important;
}
.swiper-button-prev.__chevron-circle::after{
    content: "\f137" !important;
    font-family: "FontAwesome" !important;
}
.swiper-button-next.__chevron-circle::after{
    content: "\f138" !important;
    font-family: "FontAwesome" !important;
}
.swiper-button-prev.__arrow::after{
    content: "\f060" !important;
    font-family: "FontAwesome" !important;
}
.swiper-button-next.__arrow::after{
    content: "\f061" !important;
    font-family: "FontAwesome" !important;
}
.swiper-button-prev.__arrow-circle::after{
    content: "\f0a8" !important;
    font-family: "FontAwesome" !important;
}
.swiper-button-next.__arrow-circle::after{
    content: "\f0a9" !important;
    font-family: "FontAwesome" !important;
}
.swiperUpress {
    --swiper-pagination-color: var(--upaep-color-red);
    --swiper-pagination-bullet-size: 8px;
    --swiper-pagination-bullet-width: 15px;
    --swiper-pagination-bullet-height: 15px;
    --swiper-pagination-bullet-inactive-color: var(--upaep-color-white);
    --swiper-pagination-bullet-inactive-opacity: 1;
    --swiper-pagination-bullet-opacity: 1;
    --swiper-pagination-bullet-horizontal-gap: 4px;
    --swiper-pagination-bullet-vertical-gap: 6px;
}

/* .menu__list {
    align-self: center;
    justify-self: center;
    border-left: 4px solid #ab0909;
    padding-left: 30px;
    padding-bottom: 15px;
    padding-top: 15px;
} */

/* .menu__item, .menu__item:hover {
    font-size: 1.6rem;
    font-weight: bold;
    color: #fff;
    margin-bottom: 15px;
    cursor: pointer;
    display: block;
    text-decoration: none;
} */

.header__menu span {
    text-transform: uppercase;
    padding-right: 11px;
    font-weight: 300;
}

.upaep__card.__news .upaep__card-content .content {
    height: 75px;
    text-align: center  !important;
}

.upaep__card.__news .upaep__card-content .content span {
    -webkit-box-orient: vertical;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    overflow: hidden;
}

.upaep__card.__news .upaep__card-content {
    padding: 0rem !important;
    padding-top: 1.2rem !important;
    padding-bottom: 1.3rem !important;
}

/* Inicio boton idioma */

.upaep__button__language img {
    width: 33px;
    cursor: pointer;
}

.upaep__header__center {
    position: absolute;
    right: 11rem;
}

img.escritorio {
    display: block;
}

img.movil {
    display: none;
}

/* Final boton idioma  */

.upaep__accordion_header.__input a,
div#busqueda a {
    display: none;
}

.menu-search {
    width: 100%;
}

.menu-search--movil > div {
    width: 300px !important;
}

.menu-search--movil > div > div {
    padding: 0px;
    width: 100% !important;
}

@media (max-width: 900px){
    .menu {
        overflow: auto;
    }

    /* Inicio footer*/

    .upaep__footer_redessociales {
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        gap: 0px;
        width: 100%;
        justify-content: center;
        margin: 0 auto;
    }

    .upaep-footer {
        text-align: center;
    }

    .upaep__footer_siguenos a {
        width: 13% !important;
        margin: 8px !important;
    }

    .upaep__footer_telefono {
        width: 74% !important;
    }

    /* .upaep__list .upaep__list-item {
        justify-content: center;
    } */

}
@media only screen and (max-width: 768px) and (min-width: 300px)  {
    .upaep__header__center {
        right: 20px;
        top: 70px;
    }

    .upaep__button__language {
        background: var(--colordark);
        border-radius: 50%;
        padding: 5px;
    }

    .upaep__button__language img {
        width: 22px;
    }

    img.escritorio {
        display: none;
    }
    
    img.movil {
        display: block;
    }

    .upaep__header__rigth {
        width: 122px;
    }

    .upaep__header__menu span {
        margin: 0 0 0 0.7rem;
    }

    .upaep__header__titulo_m {
        text-transform: uppercase;
        margin: 0 20px;
    }

    .upaep__header__logo {
        margin: 0 18px;
        padding: 10px 0;
    }

    .upaep__header__down {
        height: auto;
    }

    .upaep__header__titulo_m {
        height: auto;
    }

    .upaep__header__down {
        padding: 10px 0px;
    }

    .upaep__footer_banners {
        width: 100%;
        height: auto;
        padding: 0 2rem;
        text-align: center;
    }


    .upaep__footer__up_content {
        width: 100%;
        height: auto;
        /* padding: 1rem; */
        display: flex;
        justify-content: space-around;
        margin: 0 auto;
        flex-direction: row;
        flex-wrap: wrap;
    }

    /* Inicio footer*/

    .upaep__footer_redessociales {
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        gap: 0px;
        width: 100%;
        justify-content: center;
        margin: 0 auto;
    }

    .upaep-footer {
        text-align: center;
    }

    .upaep__footer_siguenos a {
        width: 13% !important;
        margin: 8px !important;
    }

    .upaep__footer_telefono {
        width: 74% !important;
    }

    /* .upaep__list .upaep__list-item {
        justify-content: center;
    } */

}

